
/* Copyright (C) 2005-2009 Zimbra Inc. http://www.zimbra.com/ */
DwtBaseDialog=function(t){
if(arguments.length==0){
return
}
t=Dwt.getParams(arguments,DwtBaseDialog.PARAMS);
var e=t.parent;
if(!(e instanceof DwtShell)){
throw new DwtException("DwtBaseDialog parent must be a DwtShell",DwtException.INVALIDPARENT,"DwtDialog")
}
t.className=t.className||"DwtBaseDialog";
t.posStyle=DwtControl.ABSOLUTE_STYLE;
this._title=t.title||"";
DwtComposite.call(this,t);
this._shell=e;
this._zIndex=t.zIndex||Dwt.Z_DIALOG;
this._mode=t.mode||DwtBaseDialog.MODAL;
this._loc=new DwtPoint();
if(t.loc){
this._loc.x=t.loc.x;
this._loc.y=t.loc.y
}else{
this._loc.x=this._loc.y=Dwt.LOC_NOWHERE
}
this._tabGroup=new DwtTabGroup(this.toString(),true);
this._dragHandleId=t.dragHandleId||this._htmlElId+"_handle";
this._createHtml();
if(!t.noDrag){
this._initializeDragging(this._dragHandleId)
}
if(t.view){
this.setView(t.view)
}
this.setZIndex(Dwt.Z_HIDDEN);
this._position(DwtBaseDialog.__nowhereLoc)
};
DwtBaseDialog.PARAMS=["parent","className","title","zIndex","mode","loc","view","dragHandleId","id"];
DwtBaseDialog.prototype=new DwtComposite;
DwtBaseDialog.prototype.constructor=DwtBaseDialog;
DwtBaseDialog.prototype.toString=function(){
return"DwtBaseDialog"
};
DwtBaseDialog.MODELESS=1;
DwtBaseDialog.MODAL=2;
DwtBaseDialog.__nowhereLoc=new DwtPoint(Dwt.LOC_NOWHERE,Dwt.LOC_NOWHERE);
DwtBaseDialog.prototype.TEMPLATE="dwt.Widgets#DwtBaseDialog";
DwtBaseDialog.prototype.CONTROLS_TEMPLATE=null;
DwtBaseDialog.prototype.addPopupListener=function(e){
this.addListener(DwtEvent.POPUP,e)
};
DwtBaseDialog.prototype.removePopupListener=function(e){
this.removeListener(DwtEvent.POPUP,e)
};
DwtBaseDialog.prototype.addPopdownListener=function(e){
this.addListener(DwtEvent.POPDOWN,e)
};
DwtBaseDialog.prototype.removePopdownListener=function(e){
this.removeListener(DwtEvent.POPDOWN,e)
};
DwtBaseDialog.prototype.popup=function(t){
if(this._poppedUp){
return
}
this.cleanup(true);
var e=this._zIndex;
if(this._mode==DwtBaseDialog.MODAL){
e=this._setModalEffect(e)
}
this._shell._veilOverlay.activeDialogs.push(this);
if(t){
this._loc.x=t.x;
this._loc.y=t.y
}
this._position(t);
this._resetTabFocus();
this.setZIndex(e);
this._poppedUp=true;
var a=this._shell.getKeyboardMgr();
a.pushTabGroup(this._tabGroup);
a.pushDefaultHandler(this);
this.notifyListeners(DwtEvent.POPUP,this)
};
DwtBaseDialog.prototype._resetTabFocus=function(){
this._tabGroup.resetFocusMember(true)
};
DwtBaseDialog.prototype.focus=function(){
if(this.isListenerRegistered(DwtEvent.ONFOCUS)){
this.notifyListeners(DwtEvent.ONFOCUS)
}else{
if(this._focusElementId){
var e=document.getElementById(this._focusElementId);
if(e){
e.focus()
}}}};
DwtBaseDialog.prototype.isPoppedUp=function(){
return this._poppedUp
};
DwtBaseDialog.prototype.popdown=function(){
if(this._poppedUp){
this._poppedUp=false;
this.cleanup(false);
var e=this._zIndex;
this.setZIndex(Dwt.Z_HIDDEN);
this._position(DwtBaseDialog.__nowhereLoc);
if(this._mode==DwtBaseDialog.MODAL){
this._undoModality(e)
}else{
this._shell._veilOverlay.activeDialogs.pop()
}
var t=this._shell.getKeyboardMgr();
t.popTabGroup(this._tabGroup);
t.popDefaultHandler();
this.notifyListeners(DwtEvent.POPDOWN,this)
}};
DwtBaseDialog.prototype.setView=function(e){
this.reset();
if(e){
this._getContentDiv().appendChild(e.getHtmlElement())
}};
DwtBaseDialog.prototype.reset=function(){
this._loc.x=this._loc.y=Dwt.LOC_NOWHERE
};
DwtBaseDialog.prototype.cleanup=function(t){
var o=this._getInputFields();
if(o){
var e=o.length;
for(var a=0;
a<e;
a++){
o[a].disabled=!t;
if(t){
o[a].value=""
}}}};
DwtBaseDialog.prototype.setTitle=function(e){
if(this._titleEl){
this._titleEl.innerHTML=e||""
}};
DwtBaseDialog.prototype.setContent=function(t){
var e=this._getContentDiv();
if(e){
e.innerHTML=t||""
}};
DwtBaseDialog.prototype._getContentDiv=function(){
return this._contentEl
};
DwtBaseDialog.prototype.addEnterListener=function(e){
this.addListener(DwtEvent.ENTER,e)
};
DwtBaseDialog.getActiveDialog=function(){
var t=null;
var a=DwtShell.getShell(window);
if(a){
var e=a._veilOverlay.activeDialogs.length;
if(e>0){
t=a._veilOverlay.activeDialogs[e-1]
}}
return t
};
DwtBaseDialog.prototype._initializeDragging=function(r){
var s=document.getElementById(r);
if(s){
var n=DwtControl.fromElementId(window._dwtShellId);
if(n){
var e=Dwt.getSize(n.getHtmlElement());
var a=document.getElementById(this._htmlElId);
var h=this.getSize();
var o=new AjxCallback(this,this._dragEnd);
var i=new AjxCallback(this,this._duringDrag);
var t=new AjxCallback(this,this._dragStart);
DwtDraggable.init(s,a,0,document.body.offsetWidth-10,0,document.body.offsetHeight-10,t,i,o)
}}};
DwtBaseDialog.prototype._getContentHtml=function(){
return""
};
DwtBaseDialog.prototype._createHtml=function(e){
var t={
id:this._htmlElId};
this._createHtmlFromTemplate(e||this.TEMPLATE,t)
};
DwtBaseDialog.prototype._createHtmlFromTemplate=function(e,t){
t.dragId=this._dragHandleId;
t.title=this._title;
t.icon="";
t.closeIcon1="";
t.closeIcon2="";
t.controlsTemplateId=this.CONTROLS_TEMPLATE;
DwtComposite.prototype._createHtmlFromTemplate.call(this,e,t);
this._titleBarEl=document.getElementById(t.id+"_titlebar");
this._titleEl=document.getElementById(t.id+"_title");
this._contentEl=document.getElementById(t.id+"_content");
this.setContent(this._getContentHtml())
};
DwtBaseDialog.prototype._setModalEffect=function(){
var a=this._shell._veilOverlay.dialogZ;
var i=null;
var t,e;
if(a.length){
i=a[a.length-1]
}
if(i){
t=i+2;
e=i+1
}else{
t=this._zIndex;
e=Dwt.Z_VEIL
}
this._shell._veilOverlay.veilZ.push(e);
this._shell._veilOverlay.dialogZ.push(t);
Dwt.setZIndex(this._shell._veilOverlay,e);
return t
};
DwtBaseDialog.prototype._undoModality=function(a){
var e=this._shell._veilOverlay.veilZ;
e.pop();
var t=e[e.length-1];
Dwt.setZIndex(this._shell._veilOverlay,t);
this._shell._veilOverlay.dialogZ.pop();
this._shell._veilOverlay.activeDialogs.pop();
if(this._shell._veilOverlay.activeDialogs.length>0){
this._shell._veilOverlay.activeDialogs[0].focus()
}};
DwtBaseDialog.prototype._getInputFields=function(){};
DwtBaseDialog.prototype._dragStart=function(e,t){
if(AjxEnv.isNav&&!this._ignoreSetDragBoundries){
this._currSize=this.getSize();
DwtDraggable.setDragBoundaries(DwtDraggable.dragEl,0,document.body.offsetWidth-this._currSize.x,0,document.body.offsetHeight-this._currSize.y)
}};
DwtBaseDialog.prototype._dragEnd=function(e,t){
this._loc.x=e;
this._loc.y=t
};
DwtBaseDialog.prototype._duringDrag=function(e,t){};
DwtBaseDialog.prototype._doesContainElement=function(e){
return Dwt.contains(this.getHtmlElement(),e)
};
