
/* Copyright (C) 2005-2009 Zimbra Inc. http://www.zimbra.com/ */
DwtSpinner=function(e){
if(arguments.length==0){
return
}
DwtControl.call(this,{
parent:e.parent,className:e.className,posStyle:e.posStyle,parentElement:e.parentElement}
);
this._maxValue=e.max!=null?e.max:null;
this._minValue=e.min!=null?e.min:null;
this._fieldSize=e.size!=null?e.size:3;
this._origValue=e.value||0;
this._maxLen=e.maxLen||null;
this._step=e.step||1;
this._decimals="decimals" in e?e.decimals:0;
this._align=e.align||null;
this._timerFunc=AjxCallback.simpleClosure(this._timerFunc,this);
this._btnPressCapture=new DwtMouseEventCapture({
targetObj:this,id:"DwtSpinner",mouseUpHdlr:AjxCallback.simpleClosure(this._stopCapture,this)}
);
this._createElements()
};
DwtSpinner.prototype=new DwtControl;
DwtSpinner.prototype.constructor=DwtSpinner;
DwtSpinner.INIT_TIMER=250;
DwtSpinner.SLOW_TIMER=125;
DwtSpinner.FAST_TIMER=33;
DwtSpinner.prototype._createElements=function(){
var n=this.getHtmlElement();
var o=Dwt.getNextId();
this._idField=o;
this._idUpButton=o+"-up";
this._idDownButton=o+"-down";
var i=["<table class='DwtSpinner' cellspacing='0' cellpadding='0'>","<tr><td rowspan='2' class='DwtSpinner-inputCell'>","<input id='",o,"' autocomplete='off' />","</td>","<td unselectable id='",this._idUpButton,"' class='DwtSpinner-upBtn'><div class='ImgUpArrowSmall'>&nbsp;</div></td>","</tr><tr>","<td unselectable id='",this._idDownButton,"' class='DwtSpinner-downBtn'><div class='ImgDownArrowSmall'>&nbsp;</div></td>","</tr></table>"];
n.innerHTML=i.join("");
var a=this._getUpButton();
a.onmousedown=AjxCallback.simpleClosure(this._btnPressed,this,"Up");
var t=this._getDownButton();
t.onmousedown=AjxCallback.simpleClosure(this._btnPressed,this,"Down");
var e=this.getInputElement();
if(this._maxLen){
e.maxLength=this._maxLen
}
if(this._fieldSize){
e.size=this._fieldSize
}
if(this._align){
e.style.textAlign=this._align
}
if(this._origValue!=null){
this.setValue(this._origValue)
}
e.onblur=AjxCallback.simpleClosure(this.setValue,this,null);
e[(AjxEnv.isIE||AjxEnv.isOpera)?"onkeydown":"onkeypress"]=AjxCallback.simpleClosure(this.__onKeyPress,this)
};
DwtSpinner.prototype._getValidValue=function(e){
var t=parseFloat(e);
if(isNaN(t)||t==null){
t=this._lastValidValue
}
if(t==null){
t=this._minValue||0
}
if(this._minValue!=null&&t<this._minValue){
t=this._minValue
}
if(this._maxValue!=null&&t>this._maxValue){
t=this._maxValue
}
t=parseFloat(t);
if(this._decimals!=null){
t=t.toFixed(this._decimals)
}
this._lastValidValue=t;
return t
};
DwtSpinner.prototype.getInputElement=function(){
return document.getElementById(this._idField)
};
DwtSpinner.prototype._getUpButton=function(){
return document.getElementById(this._idUpButton)
};
DwtSpinner.prototype._getDownButton=function(){
return document.getElementById(this._idDownButton)
};
DwtSpinner.prototype._getButton=function(e){
switch(e){
case"Up":return this._getUpButton();
case"Down":return this._getDownButton()
}};
DwtSpinner.prototype._setBtnState=function(e,a){
var t=this._getButton(e);
if(a){
Dwt.addClass(t,"DwtSpinner-"+e+"-disabled");
t.firstChild.className="Img"+e+"ArrowSmallDis"
}else{
Dwt.delClass(t,"DwtSpinner-"+e+"-disabled");
t.firstChild.className="Img"+e+"ArrowSmall"
}};
DwtSpinner.prototype.getValue=function(){
return parseFloat(this._getValidValue(this.getInputElement().value))
};
DwtSpinner.prototype.setValue=function(e){
if(e==null){
e=this.getInputElement().value
}
e=this._getValidValue(e);
this.getInputElement().value=e;
e=parseFloat(e);
this._setBtnState("Down",this._minValue!=null&&this._minValue==e);
this._setBtnState("Up",this._maxValue!=null&&this._maxValue==e)
};
DwtSpinner.prototype.setEnabled=function(e){
DwtControl.prototype.setEnabled.call(this,e);
this.getInputElement().disabled=!e;
var t=this.getHtmlElement().firstChild;
if(!e){
Dwt.addClass(t,"DwtSpinner-disabled")
}else{
Dwt.delClass(t,"DwtSpinner-disabled")
}};
DwtSpinner.prototype._rotateVal=function(e){
var t=this.getValue();
switch(e){
case"Up":t+=this._step;
break;
case"Down":t-=this._step;
break
}
this.setValue(t)
};
DwtSpinner.prototype._btnPressed=function(e){
if(!this.getEnabled()){
return
}
Dwt.addClass(this._getButton(e),"DwtSpinner-"+e+"-pressed");
this._direction=e;
this._rotateVal(e);
this._btnPressCapture.capture();
this._timerSteps=0;
this._timer=setTimeout(this._timerFunc,DwtSpinner.INIT_TIMER)
};
DwtSpinner.prototype._timerFunc=function(){
var a=this.getValue();
this._rotateVal(this._direction);
var t=this.getValue();
this._timerSteps++;
var e=this._timerSteps>4?DwtSpinner.FAST_TIMER:DwtSpinner.SLOW_TIMER;
if(a!=t){
this._timer=setTimeout(this._timerFunc,e)
}else{
this._stopCapture()
}};
DwtSpinner.prototype._stopCapture=function(){
if(this._timer){
clearTimeout(this._timer)
}
this._timer=null;
this._timerSteps=null;
var t=this._direction;
Dwt.delClass(this._getButton(t),"DwtSpinner-"+t+"-pressed");
this._direction=null;
this._btnPressCapture.release();
var e=this.getInputElement();
e.focus();
Dwt.setSelectionRange(e,0,e.value.length)
};
DwtSpinner.prototype.__onKeyPress=function(a){
if(AjxEnv.isIE){
a=window.event
}
var t=null;
switch(a.keyCode){
case 38:t="Up";
break;
case 40:t="Down";
break
}
if(t){
this._rotateVal(t);
var e=this.getInputElement();
Dwt.setSelectionRange(e,0,e.value.length)
}};
DwtSpinner.prototype.focus=function(){
this.getInputElement().focus()
};
DwtSpinner.prototype.select=function(){
var e=this.getInputElement();
e.focus();
Dwt.setSelectionRange(e,0,e.value.length)
};
